cURL
curl https://api.portkey.ai/v1/threads/thread_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2" \
-X DELETE{
"id": "<string>",
"deleted": true
}Delete Thread
DELETE
/
threads
/
{thread_id}
cURL
curl https://api.portkey.ai/v1/threads/thread_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2" \
-X DELETE{
"id": "<string>",
"deleted": true
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-chore-remove-get-model-generals-api.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Portkey-Key & Virtual-KeyPortkey-Key & Provider-Auth & Provider-NamePortkey-Key & ConfigPortkey-Key & Provider-Auth & Provider-Name & Custom-Host
Path Parameters
The ID of the thread to delete.
Last modified on April 2, 2026
Was this page helpful?
⌘I

